package body MSHTML.DWebBridgeEvents_Object is

   procedure onscriptletevent
     (This      : DWebBridgeEvents_Type;
      name      : GNATCOM.Types.VARIANT;
      eventData : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
   is
   begin
      Invoke
        (This,
         DWebBridgeEvents_onscriptletevent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => eventData,
          2 => name),
         Free);
   end onscriptletevent;

   procedure onreadystatechange
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onreadystatechange);
   end onreadystatechange;

   function onclick
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DWebBridgeEvents_onclick);
   end onclick;

   function ondblclick
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DWebBridgeEvents_ondblclick);
   end ondblclick;

   procedure onkeydown
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onkeydown);
   end onkeydown;

   procedure onkeyup
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onkeyup);
   end onkeyup;

   function onkeypress
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DWebBridgeEvents_onkeypress);
   end onkeypress;

   procedure onmousedown
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onmousedown);
   end onmousedown;

   procedure onmousemove
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onmousemove);
   end onmousemove;

   procedure onmouseup
     (This : DWebBridgeEvents_Type)
   is
   begin
      Invoke (This, DWebBridgeEvents_onmouseup);
   end onmouseup;

end MSHTML.DWebBridgeEvents_Object;

